VERSION 5.00
Begin VB.Form frmTip 
   Caption         =   "Conseils"
   ClientHeight    =   3285
   ClientLeft      =   2370
   ClientTop       =   2400
   ClientWidth     =   5895
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3285
   ScaleWidth      =   5895
   WhatsThisButton =   -1  'True
   WhatsThisHelp   =   -1  'True
   Begin VB.CommandButton cmdNextTip 
      Caption         =   "Astuce &suivante"
      Height          =   375
      Left            =   4080
      TabIndex        =   2
      Top             =   600
      Width           =   1335
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H00FFFFFF&
      Height          =   2715
      Left            =   120
      Picture         =   "frmTip.frx":0000
      ScaleHeight     =   2655
      ScaleWidth      =   3675
      TabIndex        =   1
      Top             =   120
      Width           =   3735
      Begin VB.Label Label1 
         BackColor       =   &H00FFFFFF&
         Caption         =   "Le saviez vous?"
         Height          =   255
         Left            =   540
         TabIndex        =   4
         Top             =   180
         Width           =   2655
      End
      Begin VB.Label lblTipText 
         BackColor       =   &H00FFFFFF&
         Height          =   1635
         Left            =   180
         TabIndex        =   3
         Top             =   840
         Width           =   3255
      End
   End
   Begin VB.CommandButton cmdOK 
      Cancel          =   -1  'True
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   4080
      TabIndex        =   0
      Top             =   120
      Width           =   1335
   End
   Begin VB.Image Image1 
      Height          =   1440
      Left            =   3960
      Picture         =   "frmTip.frx":030A
      Stretch         =   -1  'True
      Top             =   1200
      Width           =   1440
   End
End
Attribute VB_Name = "frmTip"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Base de donnes des astuces en mmoire.
Dim Tips As New Collection

' Nom du fichier des astuces.
Const TIP_FILE = "TIPOFDAY.TXT"

' Index dans la collection de l'astuce actuellement affichs.
Dim CurrentTip As Long


Private Sub DoNextTip()

    ' Slectionne une astuce de faon alatoire.
    CurrentTip = Int((Tips.Count * Rnd) + 1)
    
    ' Ou, vous pouvez effectuer une opration cyclique en suivant l'ordre des astuces.

'    CurrentTip = CurrentTip + 1
'    If Tips.Count < CurrentTip Then
'        CurrentTip = 1
'    End If
    
    ' L'affiche.
    frmTip.DisplayCurrentTip
    
End Sub

Function LoadTips(sFile As String) As Boolean
    Dim NextTip As String   ' Chaque astuce est lu  partir du fichier.
    Dim InFile As Integer   ' Descripteur du fichier.
    
    ' Obtient le prochain descripteur de fichier libre.
    InFile = FreeFile
    
    ' S'assure qu'un fichier est spcifi.
    If sFile = "" Then
        LoadTips = False
        Exit Function
    End If
    
    ' S'assure que le fichier existe avant d'essayer de l'ouvrir.
    If Dir(sFile) = "" Then
        LoadTips = False
        Exit Function
    End If
    
    ' Remplit la collection  partir d'un fichier texte.
    Open sFile For Input As InFile
    While Not EOF(InFile)
        Line Input #InFile, NextTip
        Tips.Add NextTip
    Wend
    Close InFile

    ' Affiche une astuce de faon alatoire.
    DoNextTip
    
    LoadTips = True
    
End Function

Private Sub chkLoadTipsAtStartup_Click()
End Sub

Private Sub cmdNextTip_Click()
    DoNextTip
End Sub

Private Sub cmdOK_Click()
    Unload frmTip
End Sub

Private Sub Form_Load()

        
    ' Dfinit la case  cocher, ce qui va forcer la rcriture de la valeur dans la base de registres.

    
    ' Valeur de dpart pour nombre alatoire.
    Randomize
    
    ' Lit le fichier des astuces et affiche une astuce de faon alatoire.
    If LoadTips(App.Path & "\" & TIP_FILE) = False Then
        lblTipText.Caption = "Le fichier " & TIP_FILE & " n'a pas t trouv? " & vbCrLf & vbCrLf & _
           "Crez un fichier texte nomm " & TIP_FILE & " en utilisant le Bloc-notes avec une astuce par ligne. " & _
           "Puis placez le dans le mme dossier que l'application."
    End If

    
End Sub

Public Sub DisplayCurrentTip()
    If Tips.Count > 0 Then
        lblTipText.Caption = Tips.Item(CurrentTip)
    End If
End Sub

